{
  config,
  lib,
  pkgs,
  ...
}: let
  polonium = pkgs.callPackage ../../pkgs/polonium.nix {};
in {
  options.my.desktop.plasma.enable = lib.mkEnableOption "my Plasma based desktop environment";

  config = lib.mkIf config.my.desktop.plasma.enable {
    my.desktop.wayland = true;

    home.packages = [
      polonium
    ];

    programs.firefox.policies.ExtensionSettings = let
      extension = shortId: {
        install_url = "https://addons.mozilla.org/en-US/firefox/downloads/latest/${shortId}/latest.xpi";
        installation_mode = "force_installed";
      };
    in
      builtins.mapAttrs (_: extension) {
        "plasma-browser-integration@kde.org" = "plasma-integration";
      };
  };
}
